<?php

/**
 * @file
 * Contains \Drupal\drd\Agent\DrdAuthBase.
 */

namespace Drupal\drd\Agent;

/**
 * Base class for Remote DRD Auth Methods.
 */
abstract class DrdAuthBase implements DrdAuthInterface {

  /** @var array $stored_settings */
  protected $stored_settings;

  /**
   * @inheritDoc
   */
  public static function getMethods($version) {
    $methods = array(
      'username_password' => 'DrdAuthUsernamePassword',
      'shared_secret' => 'DrdAuthSharedSecret',
    );
    foreach ($methods as $key => $class) {
      require_once DRD_BASE . "/Auth$version/$class.php";
      $classname = "\\Drupal\\drd\\Agent\\Auth$version\\$class";
      $methods[$key] = new $classname;
    }
    return $methods;
  }

}
