<?php

/**
 * @file
 * Contains \Drupal\drd\Entity\DrdProject.
 */

namespace Drupal\drd\Entity;

use Drupal\views\EntityViewsData;
use Drupal\views\EntityViewsDataInterface;

/**
 * Provides Views data for Project entities.
 */
class DrdProjectViewsData extends EntityViewsData implements EntityViewsDataInterface {
  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['drd_project']['table']['base'] = [
      'field' => 'id',
      'title' => $this->t('Project'),
      'help' => $this->t('The Project ID.'),
    ];

    $data['drd_project']['drd_project_types'] = [
      'title' => t('Project types'),
      'filter' => [
        'title' => t('Project types'),
        'field' => 'type',
        'id' => 'drd_project_types',
      ],
    ];

    $data['drd_project']['major_versions'] = [
      'relationship' => [
        'title' => $this->t('Major versions'),
        'help' => $this->t('TBD.'),
        'id' => 'standard',
        'base' => 'drd_major',
        'base field' => 'project',
        'field' => 'id',
        'label' => $this->t('majors'),
      ],
    ];

    return $data;
  }

}
